> For the complete documentation index, see [llms.txt](https://docs.lighter.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lighter.xyz/developers/reference/volume-quota.md).

# Volume Quota

{% hint style="info" %}
**Lighter on Robinhood Chain**

Volume quota works the same way on RH. See [Lighter on Robinhood Chain](/developers/robinhood-chain/overview.md) for everything that differs on RH.
{% endhint %}

**Volume Quota** gives users higher rate limits on `SendTx` and `SendTxBatch` based on trading volume and is **only enforced for Plus and Premium/Advanced accounts**. The only types of transactions that consume volume quota are:

* `L2CreateOrder` (14)
* `L2CancelAllOrders` (16)
* `L2ModifyOrder` (17)
* `L2CreateGroupedOrders` (28)

Other types of transactions has separate rate limits, see [Transaction Type Limits](/developers/reference/rate-limits.md#transaction-type-limits).

For more details on transaction types, see [constants.go](https://github.com/elliottech/lighter-go/blob/37514ad5630052c162fa0745ac59ae47ff33d148/types/txtypes/constants.go#L57). Grouped orders only consume one quota. Cancels do not consume quota. If you include `n` transactions in a `SendTxBatch` request, `n` quota will be consumed.

For every 2 USD of trading volume, traders receive an additional transaction limit (i.e. volume quota increases by 1). `SendTx` and `SendTxBatch` requests will return a response indicating the remaining quota, e.g. "10780 volume quota remaining.". Every 15 seconds, you get a free `SendTx` which won't consume volume quota (nor show remaining quota). Volume quota is shared across all sub-accounts under the same L1 address.

New accounts start at 1K quota, and you can stack at most 15.000.000 TX allowance in your volume quota, which does not expire.

This differs from Rate Limits, which enforce a maximum of **72000** transactions per minute for Premium/Advanced accounts. You can check the weight of the endpoints, and standard accounts limits here: [Rate Limits](/developers/reference/rate-limits.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.lighter.xyz/developers/reference/volume-quota.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
